// Schreibe ein Byte aus der EEPROM_DATA Struktur ins EEPROM
void eeprom_data_wb(char *position)

{ char* temp;
  char c;

  c = *position;
  temp = position - (int)&eeprom_data;
  eeprom_wb((int)temp,c);

  temp += 128;
  eeprom_wb((int)temp,c);
  temp += 128;
  eeprom_wb((int)temp,c);

}


// Schreibe ein Wort aus der EEPROM_DATA Struktur ins EEPROM
void eeprom_data_ww(int *position)

{ 
  eeprom_data_wb((char*)position);
  eeprom_data_wb((char*)position+1);
}

// Schreibe eine Zeit aus der EEPROM_DATA Struktur ins EEPROM
void eeprom_data_wt(time_rec *position)

{ 
  eeprom_data_wb((char*)position);
  eeprom_data_wb((char*)position+1);
  eeprom_data_wb((char*)position+2);
}


// Setzte ein Byte in die EEPROM_DATA Struktur
// und schreibe dieses ins EEPROM
void eeprom_data_wbv(char *position, u08 value)

{ 
  *position = value; 
  eeprom_data_wb(position);
}

// Setzte ein Wort in die EEPROM_DATA Struktur
// und schreibe dieses ins EEPROM
void eeprom_data_wwv(int *position, int value)

{ 
  *position = value;
  eeprom_data_ww(position);
}


