void reset_opcounter(u08 counter_no)

{ u08 i;

  for(i = 0; i < OPCOUNTER_SIZE; i++)
    eeprom_data_wwv((int *)&eeprom_data.op_counter[counter_no][i],0);

}


unsigned long get_opcounter_value(u08 counter_no)

{ unsigned long ltemp;
  u08 i;
  
  ltemp = 0;
  for(i = 0; i < OPCOUNTER_SIZE; i++)
    ltemp += eeprom_data.op_counter[counter_no][i];

  ltemp = ltemp / 6;
  return ltemp;
}


void increment_opcounter(u08 counter_no)

{ static u08 ctrpos[2] = {0xFF,0xFF};
  u08 temp;

  // Whle beim ersten Schreiben eine zufllige Position
  if (ctrpos[counter_no] == 0xFF)
    ctrpos[counter_no] = the_time.sec % OPCOUNTER_SIZE;
  
  // Suche nchsten nicht vollen Zhler
  temp = 0;
  while ((eeprom_data.op_counter[counter_no][ctrpos[counter_no]] >= MAX_COUNTER_VALUE) &&
        (temp < OPCOUNTER_SIZE))
  {
    (ctrpos[counter_no])++;
    if (ctrpos[counter_no] == OPCOUNTER_SIZE)
      ctrpos[counter_no] = 0;
    temp++;
  }
  
  if (temp == OPCOUNTER_SIZE)  // Alle Zhler sind voll
  {
  }
  else  // Erhhe Zhler
  {
    (eeprom_data.op_counter[counter_no][ctrpos[counter_no]])++;
    eeprom_data_ww((int *)&eeprom_data.op_counter[counter_no][ctrpos[counter_no]]);

    (ctrpos[counter_no])++;
    if (ctrpos[counter_no] == OPCOUNTER_SIZE)
      ctrpos[counter_no] = 0;
  }
}


void increment_opcounters(void)

{
  increment_opcounter(0);
  increment_opcounter(1);
}


