void check_buttons(void)

{ static unsigned int b_time1, b_time2;
  u08 temp;
  
  button_state = bs_b12off;
  temp = inp(BUTTONS_PINREG);
  temp = ~temp;
  if (temp & BUTTON1_PIN)
  {
    b_time1++;
  }
  else
  {
    if (b_time1 >= BT_SHORT_TICKS)	// wenn der knopf losgelassen wird
    {
      button_state = bs_b1short;
    }
    b_time1 = 0;	
  }
  
  if (temp & BUTTON2_PIN)
  {
    b_time2++;
    if (temp & BUTTON1_PIN)  	// wenn beide gedrckt sind, sicherstellen
    {				// da von dem zueltzt gedrckten knopf
      if (b_time1 > b_time2)	// aus gezhlt wird
        b_time1 = b_time2;
      else
        b_time2 = b_time1;
    }
    if ((b_time1 == b_time2) && (b_time1 >= BT_LONG_TICKS)) 
      button_state = bs_b12long;
  }
  else
  {
    if (b_time2 >= BT_SHORT_TICKS)
    {
       if (button_state == bs_b1short)
         button_state = bs_b12short;
       else
         button_state = bs_b2short; 
    }
    b_time2 = 0;	
  }
  
  if (button_state == bs_b1short)
  {
    switch (clock_mode)
    {
      case cm_date:
        totalhours2display();
        break;
      case cm_totalhours:
        hours2display();
        break;
      case cm_hours:
        version2display();
        break;
      default:
        if (clock_mode != cm_set)
          date2display();
    }
  }
        

  if (button_state == bs_b2short)
  {
    switch (clock_mode)
    {
      case cm_alarmtime:
        ontime2display();
        break;
      case cm_ontime:
        ondate2display();
        break;
      case cm_ondate:
        offtime2display();
        break;
      case cm_offtime:
        offdate2display();
        break;
      default:
        if (clock_mode != cm_set)
          alarmtime2display();
    }
  }
  
  if (button_state == bs_b12long)
  {
    blink_mask = 0;
    fallback_ticker = 64;
  }

}


